

body {
    margin: 0;
}

.decoration-bloc {
    background: #2A7B9B;
    background: linear-gradient(90deg, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 100%);
    color: white;
    text-align: center;
    padding: 6vh 0;
    font-family: "Trebuchet MS", "Trebuchet", sans-serif;
    font-size: 2vh;
}










.filters {
    margin: 1vh 0;
    padding: 0 15vw;
}

.filter-button {
    display: none;
}

.filter-label-htb {
    background-color: rgb(214, 211, 211);
    padding: 0vh 1vh;
    border-radius: .7vh;
}

#htb-check:checked ~ .filter-label-htb {
    background-image: linear-gradient(135deg, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 100%);
}

.filter-label-ctf {
    background-color: rgb(214, 211, 211);
    padding: 0vh 1vh;
    border-radius: .7vh;
}

#ctf-check:checked ~ .filter-label-ctf {
    background-image: linear-gradient(135deg, rgb(255, 166, 0) 0%, rgb(255, 99, 99) 100%);
}

#htb-check:not(:checked) ~ .posts .writeup-wrapper:has(.htb) {
    display: none;
}

#ctf-check:not(:checked) ~ .posts .writeup-wrapper:has(.ctf) {
    display: none;
}










.posts{
    display: flex;
    flex-direction: row;
    justify-content: left;
    flex-wrap: wrap;
    
    padding: 1vh .5vw;
    column-gap: 1.5vw;
    row-gap: 1vh;
}

a.writeup-wrapper {
    text-decoration: none;
    color: black;
    margin: 0;
}

.outer-card {
  width: 10vw;
  height: 10vh;
  border-radius: 1vh;
  padding: 5% 5%;
}

.inner-card {
  border-radius: .8vh;
  padding: 1vh;
  background-color: white;
  width: 88%;
  height: 80%;
}

.htb {
    /*background-color: rgba(134, 255, 134, 0.35);*/
    background-image: linear-gradient(135deg, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 100%);
}

.ctf {
    /*background-color: rgb(255, 156, 225, 0.35);*/
    background-image: linear-gradient(135deg, rgb(255, 166, 0) 0%, rgb(255, 99, 99) 100%);
}
